package com.mortals.xhx.module.product.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.product.model.ProductEntity;
/**
* 产品查询对象
*
* @author zxfei
* @date 2023-09-18
*/
public class ProductQuery extends ProductEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 产品名称，名称唯一 */
    private List<String> productNameList;

    /** 产品名称，名称唯一排除列表 */
    private List <String> productNameNotList;
    /** 产品编码 */
    private List<String> productCodeList;

    /** 产品编码排除列表 */
    private List <String> productCodeNotList;
    /** 产品slogan */
    private List<String> productSloganList;

    /** 产品slogan排除列表 */
    private List <String> productSloganNotList;
    /** 产品图标 */
    private List<String> productLogoPathList;

    /** 产品图标排除列表 */
    private List <String> productLogoPathNotList;
    /** 产品封面图片 */
    private List<String> productFacePathList;

    /** 产品封面图片排除列表 */
    private List <String> productFacePathNotList;
    /** 产品视频,多个视频逗号分割 */
    private List<String> productVideoPathList;

    /** 产品视频,多个视频逗号分割排除列表 */
    private List <String> productVideoPathNotList;
    /** 产品宣传图片,多个视频逗号分割 */
    private List<String> productPicPathList;

    /** 产品宣传图片,多个视频逗号分割排除列表 */
    private List <String> productPicPathNotList;
    /** 产品介绍 */
    private List<String> productIntroductionList;

    /** 产品介绍排除列表 */
    private List <String> productIntroductionNotList;
    /** 产品详情 */
    private List<String> productDetailList;

    /** 产品详情排除列表 */
    private List <String> productDetailNotList;
    /** 开始 发布时间 */
    private String publishTimeStart;

    /** 结束 发布时间 */
    private String publishTimeEnd;

    /** 开始 是否热门(0.否,1.是) */
    private Integer hotStart;

    /** 结束 是否热门(0.否,1.是) */
    private Integer hotEnd;

    /** 增加 是否热门(0.否,1.是) */
    private Integer hotIncrement;

    /** 是否热门(0.否,1.是)列表 */
    private List <Integer> hotList;

    /** 是否热门(0.否,1.是)排除列表 */
    private List <Integer> hotNotList;

    /** 备注 */
    private List<String> productRemarkList;

    /** 备注排除列表 */
    private List <String> productRemarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductQuery> andConditionList;

    public ProductQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 产品名称，名称唯一
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称，名称唯一
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }

    /**
    * 获取 产品名称，名称唯一
    * @return productNameNotList
    */
    public List<String> getProductNameNotList(){
        return this.productNameNotList;
    }

    /**
    * 设置 产品名称，名称唯一
    * @param productNameNotList
    */
    public void setProductNameNotList(List<String> productNameNotList){
        this.productNameNotList = productNameNotList;
    }

    /**
    * 获取 产品编码
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品编码
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品编码
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品编码
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 产品slogan
    * @return productSloganList
    */
    public List<String> getProductSloganList(){
        return this.productSloganList;
    }

    /**
    * 设置 产品slogan
    * @param productSloganList
    */
    public void setProductSloganList(List<String> productSloganList){
        this.productSloganList = productSloganList;
    }

    /**
    * 获取 产品slogan
    * @return productSloganNotList
    */
    public List<String> getProductSloganNotList(){
        return this.productSloganNotList;
    }

    /**
    * 设置 产品slogan
    * @param productSloganNotList
    */
    public void setProductSloganNotList(List<String> productSloganNotList){
        this.productSloganNotList = productSloganNotList;
    }

    /**
    * 获取 产品图标
    * @return productLogoPathList
    */
    public List<String> getProductLogoPathList(){
        return this.productLogoPathList;
    }

    /**
    * 设置 产品图标
    * @param productLogoPathList
    */
    public void setProductLogoPathList(List<String> productLogoPathList){
        this.productLogoPathList = productLogoPathList;
    }

    /**
    * 获取 产品图标
    * @return productLogoPathNotList
    */
    public List<String> getProductLogoPathNotList(){
        return this.productLogoPathNotList;
    }

    /**
    * 设置 产品图标
    * @param productLogoPathNotList
    */
    public void setProductLogoPathNotList(List<String> productLogoPathNotList){
        this.productLogoPathNotList = productLogoPathNotList;
    }

    /**
    * 获取 产品封面图片
    * @return productFacePathList
    */
    public List<String> getProductFacePathList(){
        return this.productFacePathList;
    }

    /**
    * 设置 产品封面图片
    * @param productFacePathList
    */
    public void setProductFacePathList(List<String> productFacePathList){
        this.productFacePathList = productFacePathList;
    }

    /**
    * 获取 产品封面图片
    * @return productFacePathNotList
    */
    public List<String> getProductFacePathNotList(){
        return this.productFacePathNotList;
    }

    /**
    * 设置 产品封面图片
    * @param productFacePathNotList
    */
    public void setProductFacePathNotList(List<String> productFacePathNotList){
        this.productFacePathNotList = productFacePathNotList;
    }

    /**
    * 获取 产品视频,多个视频逗号分割
    * @return productVideoPathList
    */
    public List<String> getProductVideoPathList(){
        return this.productVideoPathList;
    }

    /**
    * 设置 产品视频,多个视频逗号分割
    * @param productVideoPathList
    */
    public void setProductVideoPathList(List<String> productVideoPathList){
        this.productVideoPathList = productVideoPathList;
    }

    /**
    * 获取 产品视频,多个视频逗号分割
    * @return productVideoPathNotList
    */
    public List<String> getProductVideoPathNotList(){
        return this.productVideoPathNotList;
    }

    /**
    * 设置 产品视频,多个视频逗号分割
    * @param productVideoPathNotList
    */
    public void setProductVideoPathNotList(List<String> productVideoPathNotList){
        this.productVideoPathNotList = productVideoPathNotList;
    }

    /**
    * 获取 产品宣传图片,多个视频逗号分割
    * @return productPicPathList
    */
    public List<String> getProductPicPathList(){
        return this.productPicPathList;
    }

    /**
    * 设置 产品宣传图片,多个视频逗号分割
    * @param productPicPathList
    */
    public void setProductPicPathList(List<String> productPicPathList){
        this.productPicPathList = productPicPathList;
    }

    /**
    * 获取 产品宣传图片,多个视频逗号分割
    * @return productPicPathNotList
    */
    public List<String> getProductPicPathNotList(){
        return this.productPicPathNotList;
    }

    /**
    * 设置 产品宣传图片,多个视频逗号分割
    * @param productPicPathNotList
    */
    public void setProductPicPathNotList(List<String> productPicPathNotList){
        this.productPicPathNotList = productPicPathNotList;
    }

    /**
    * 获取 产品介绍
    * @return productIntroductionList
    */
    public List<String> getProductIntroductionList(){
        return this.productIntroductionList;
    }

    /**
    * 设置 产品介绍
    * @param productIntroductionList
    */
    public void setProductIntroductionList(List<String> productIntroductionList){
        this.productIntroductionList = productIntroductionList;
    }

    /**
    * 获取 产品介绍
    * @return productIntroductionNotList
    */
    public List<String> getProductIntroductionNotList(){
        return this.productIntroductionNotList;
    }

    /**
    * 设置 产品介绍
    * @param productIntroductionNotList
    */
    public void setProductIntroductionNotList(List<String> productIntroductionNotList){
        this.productIntroductionNotList = productIntroductionNotList;
    }

    /**
    * 获取 产品详情
    * @return productDetailList
    */
    public List<String> getProductDetailList(){
        return this.productDetailList;
    }

    /**
    * 设置 产品详情
    * @param productDetailList
    */
    public void setProductDetailList(List<String> productDetailList){
        this.productDetailList = productDetailList;
    }

    /**
    * 获取 产品详情
    * @return productDetailNotList
    */
    public List<String> getProductDetailNotList(){
        return this.productDetailNotList;
    }

    /**
    * 设置 产品详情
    * @param productDetailNotList
    */
    public void setProductDetailNotList(List<String> productDetailNotList){
        this.productDetailNotList = productDetailNotList;
    }

    /**
    * 获取 开始 发布时间
    * @return publishTimeStart
    */
    public String getPublishTimeStart(){
        return this.publishTimeStart;
    }

    /**
    * 设置 开始 发布时间
    * @param publishTimeStart
    */
    public void setPublishTimeStart(String publishTimeStart){
        this.publishTimeStart = publishTimeStart;
    }

    /**
    * 获取 结束 发布时间
    * @return publishTimeEnd
    */
    public String getPublishTimeEnd(){
        return this.publishTimeEnd;
    }

    /**
    * 设置 结束 发布时间
    * @param publishTimeEnd
    */
    public void setPublishTimeEnd(String publishTimeEnd){
        this.publishTimeEnd = publishTimeEnd;
    }

    /**
    * 获取 开始 是否热门(0.否,1.是)
    * @return hotStart
    */
    public Integer getHotStart(){
        return this.hotStart;
    }

    /**
    * 设置 开始 是否热门(0.否,1.是)
    * @param hotStart
    */
    public void setHotStart(Integer hotStart){
        this.hotStart = hotStart;
    }

    /**
    * 获取 结束 是否热门(0.否,1.是)
    * @return $hotEnd
    */
    public Integer getHotEnd(){
        return this.hotEnd;
    }

    /**
    * 设置 结束 是否热门(0.否,1.是)
    * @param hotEnd
    */
    public void setHotEnd(Integer hotEnd){
        this.hotEnd = hotEnd;
    }

    /**
    * 获取 增加 是否热门(0.否,1.是)
    * @return hotIncrement
    */
    public Integer getHotIncrement(){
        return this.hotIncrement;
    }

    /**
    * 设置 增加 是否热门(0.否,1.是)
    * @param hotIncrement
    */
    public void setHotIncrement(Integer hotIncrement){
        this.hotIncrement = hotIncrement;
    }

    /**
    * 获取 是否热门(0.否,1.是)
    * @return hotList
    */
    public List<Integer> getHotList(){
        return this.hotList;
    }

    /**
    * 设置 是否热门(0.否,1.是)
    * @param hotList
    */
    public void setHotList(List<Integer> hotList){
        this.hotList = hotList;
    }

    /**
    * 获取 是否热门(0.否,1.是)
    * @return hotNotList
    */
    public List<Integer> getHotNotList(){
        return this.hotNotList;
    }

    /**
    * 设置 是否热门(0.否,1.是)
    * @param hotNotList
    */
    public void setHotNotList(List<Integer> hotNotList){
        this.hotNotList = hotNotList;
    }


    /**
    * 获取 备注
    * @return productRemarkList
    */
    public List<String> getProductRemarkList(){
        return this.productRemarkList;
    }

    /**
    * 设置 备注
    * @param productRemarkList
    */
    public void setProductRemarkList(List<String> productRemarkList){
        this.productRemarkList = productRemarkList;
    }

    /**
    * 获取 备注
    * @return productRemarkNotList
    */
    public List<String> getProductRemarkNotList(){
        return this.productRemarkNotList;
    }

    /**
    * 设置 备注
    * @param productRemarkNotList
    */
    public void setProductRemarkNotList(List<String> productRemarkNotList){
        this.productRemarkNotList = productRemarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public ProductQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 产品名称，名称唯一
    * @param productName
    */
    public ProductQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称，名称唯一
    * @param productNameList
    */
    public ProductQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }


	/**
    * 设置 产品编码
    * @param productCode
    */
    public ProductQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品编码
    * @param productCodeList
    */
    public ProductQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 产品slogan
    * @param productSlogan
    */
    public ProductQuery productSlogan(String productSlogan){
        setProductSlogan(productSlogan);
		return this;
    }

    /**
    * 设置 产品slogan
    * @param productSloganList
    */
    public ProductQuery productSloganList(List<String> productSloganList){
        this.productSloganList = productSloganList;
		return this;
    }


	/**
    * 设置 产品图标
    * @param productLogoPath
    */
    public ProductQuery productLogoPath(String productLogoPath){
        setProductLogoPath(productLogoPath);
		return this;
    }

    /**
    * 设置 产品图标
    * @param productLogoPathList
    */
    public ProductQuery productLogoPathList(List<String> productLogoPathList){
        this.productLogoPathList = productLogoPathList;
		return this;
    }


	/**
    * 设置 产品封面图片
    * @param productFacePath
    */
    public ProductQuery productFacePath(String productFacePath){
        setProductFacePath(productFacePath);
		return this;
    }

    /**
    * 设置 产品封面图片
    * @param productFacePathList
    */
    public ProductQuery productFacePathList(List<String> productFacePathList){
        this.productFacePathList = productFacePathList;
		return this;
    }


	/**
    * 设置 产品视频,多个视频逗号分割
    * @param productVideoPath
    */
    public ProductQuery productVideoPath(String productVideoPath){
        setProductVideoPath(productVideoPath);
		return this;
    }

    /**
    * 设置 产品视频,多个视频逗号分割
    * @param productVideoPathList
    */
    public ProductQuery productVideoPathList(List<String> productVideoPathList){
        this.productVideoPathList = productVideoPathList;
		return this;
    }


	/**
    * 设置 产品宣传图片,多个视频逗号分割
    * @param productPicPath
    */
    public ProductQuery productPicPath(String productPicPath){
        setProductPicPath(productPicPath);
		return this;
    }

    /**
    * 设置 产品宣传图片,多个视频逗号分割
    * @param productPicPathList
    */
    public ProductQuery productPicPathList(List<String> productPicPathList){
        this.productPicPathList = productPicPathList;
		return this;
    }


	/**
    * 设置 产品介绍
    * @param productIntroduction
    */
    public ProductQuery productIntroduction(String productIntroduction){
        setProductIntroduction(productIntroduction);
		return this;
    }

    /**
    * 设置 产品介绍
    * @param productIntroductionList
    */
    public ProductQuery productIntroductionList(List<String> productIntroductionList){
        this.productIntroductionList = productIntroductionList;
		return this;
    }


	/**
    * 设置 产品详情
    * @param productDetail
    */
    public ProductQuery productDetail(String productDetail){
        setProductDetail(productDetail);
		return this;
    }

    /**
    * 设置 产品详情
    * @param productDetailList
    */
    public ProductQuery productDetailList(List<String> productDetailList){
        this.productDetailList = productDetailList;
		return this;
    }


    /**
    * 设置  是否热门(0.否,1.是)
    * @param hot
    */
    public ProductQuery hot(Integer hot){
	    setHot(hot);
		return this;
    }
	
	 /**
    * 设置 开始 是否热门(0.否,1.是)
    * @param hotStart
    */
    public ProductQuery hotStart(Integer hotStart){
		this.hotStart = hotStart;
		return this;
    }

    /**
    * 设置 结束 是否热门(0.否,1.是)
    * @param hotEnd
    */
    public ProductQuery hotEnd(Integer hotEnd){
		this.hotEnd = hotEnd;
		return this;
    }

    /**
    * 设置 增加 是否热门(0.否,1.是)
    * @param hotIncrement
    */
    public ProductQuery hotIncrement(Integer hotIncrement){
		this.hotIncrement = hotIncrement;
		return this;
    }

    /**
    * 设置 是否热门(0.否,1.是)
    * @param hotList
    */
    public ProductQuery hotList(List<Integer> hotList){
        this.hotList = hotList;
		return this;
        }

        /**
        * 设置 是否热门(0.否,1.是)
        * @param hotNotList
        */
        public ProductQuery hotNotList(List<Integer> hotNotList){
        this.hotNotList = hotNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param productRemark
    */
    public ProductQuery productRemark(String productRemark){
        setProductRemark(productRemark);
		return this;
    }

    /**
    * 设置 备注
    * @param productRemarkList
    */
    public ProductQuery productRemarkList(List<String> productRemarkList){
        this.productRemarkList = productRemarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ProductQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ProductQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ProductQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ProductQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ProductQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ProductQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ProductQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ProductQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ProductQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ProductQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ProductQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ProductQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}